Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization_id
string<uuid>

Organization ID. Required for JWT auth; inferred from API key when using an Organization API Key.

Response

200 - application/json
id
string<uuid>
required
read-only
name
string
required

User-friendly name for this webhook

Maximum string length: 255
url
string<uri>
required

Webhook endpoint URL

Maximum string length: 500
alerts
string[]
required
read-only

Alert IDs

failure_count
integer
required
read-only

Number of consecutive failures

created_by
integer
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
secret
string
Maximum string length: 255
headers
object

Custom headers to include in webhook requests (key-value pairs)

events
string[]

List of events to trigger this webhook (e.g., ['triggered'])

is_active
boolean
last_triggered_at
string<date-time>
last_success_at
string<date-time>
last_failure_at
string<date-time>